package vn.hus.nlp.fsm.io;

import java.io.File;
import java.util.Iterator;

import javax.xml.bind.JAXBContext;
import javax.xml.bind.JAXBException;
import javax.xml.bind.Unmarshaller;

import org.vietspider.common.io.LogService;

import vn.hus.nlp.fsm.FSM;
import vn.hus.nlp.fsm.State;
import vn.hus.nlp.fsm.Transition;
import vn.hus.nlp.fsm.fsa.DFA;
import vn.hus.nlp.fsm.fst.FST;
import vn.hus.nlp.fsm.jaxb.Fsm;
import vn.hus.nlp.fsm.jaxb.S;
import vn.hus.nlp.fsm.jaxb.States;
import vn.hus.nlp.fsm.jaxb.T;
import vn.hus.nlp.fsm.jaxb.Transitions;

public class FSMUnmarshaller {
  
  private JAXBContext jaxbContext;
  private Unmarshaller unmarshaller;

  public FSMUnmarshaller() {
    createContext();
  }

  private void createContext()  {
    this.jaxbContext = null;
    try {
      this.jaxbContext = JAXBContext.newInstance("vn.hus.nlp.fsm.jaxb", getClass().getClassLoader());
    } catch (JAXBException e) {
      LogService.getInstance().setThrowable(e);
    }
  }

  public Unmarshaller getUnmarshaller() {
    if (this.unmarshaller == null) {
      try {
        this.unmarshaller = this.jaxbContext.createUnmarshaller();
      } catch (JAXBException e) {
        LogService.getInstance().setThrowable(e);
      }
    }
    return this.unmarshaller;
  }

  @SuppressWarnings("all")
  public FSM unmarshal(String paramString1, String paramString2) {
    Object localObject1;
    if (paramString2.equalsIgnoreCase("DFA"))
      localObject1 = new DFA();
    else
      localObject1 = new FST();
    getUnmarshaller();
    try {
      Object localObject2 = this.unmarshaller.unmarshal(new File(paramString1));
      if (localObject2 != null) {
        Fsm localFsm = (Fsm)localObject2;
        States localStates = localFsm.getStates();
        Object localObject3 = localStates.getS().iterator();
        Object localObject5;
        while (((Iterator)localObject3).hasNext()) {
          S localObject4 = (S)((Iterator)localObject3).next();
          localObject5 = new State(((S)localObject4).getId());
          ((State)localObject5).setType(((S)localObject4).getType());
          ((FSM)localObject1).addState((State)localObject5);
        }
        localObject3 = localFsm.getTransitions();
        Object localObject4 = ((Transitions)localObject3).getT().iterator();
        while (((Iterator)localObject4).hasNext())
        {
          localObject5 = (T)((Iterator)localObject4).next();
          char c = ((T)localObject5).getInp().charAt(0);
          String str = ((T)localObject5).getOut();
          Transition localTransition;
          if ((str != null) && (str.equals("")))
            localTransition = new Transition(((T)localObject5).getSrc(), ((T)localObject5).getTar(), c);
          else
            localTransition = new Transition(((T)localObject5).getSrc(), ((T)localObject5).getTar(), c, str);
          ((FSM)localObject1).addTransition(localTransition);
        }
      }
    } catch (JAXBException e) {
      LogService.getInstance().setThrowable(e);
    }
    return (FSM)localObject1;
  }
}

/* Location:           C:\Downloads\vn.hus.nlp.tokenizer-4.1.1-bin.tar\lib\vn.hus.nlp.fsm-1.0.0.jar
 * Qualified Name:     vn.hus.nlp.fsm.io.FSMUnmarshaller
 * JD-Core Version:    0.6.0
 */